
From: Andrew Morton <akpm@osdl.org>

arch/ia64/kernel/built-in.o(.text+0x41912): In function `iosapic_register_intr':
arch/ia64/kernel/iosapic.c:738: undefined reference to `assign_irq_vector_nopanic'

No idea what's going on here.  But my git-apci tree is now ancient...

Cc: "Brown, Len" <len.brown@intel.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/ia64/kernel/iosapic.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ia64/kernel/iosapic.c~git-acpi-ia64-fix-2 arch/ia64/kernel/iosapic.c
--- devel/arch/ia64/kernel/iosapic.c~git-acpi-ia64-fix-2	2005-08-22 18:21:01.000000000 -0700
+++ devel-akpm/arch/ia64/kernel/iosapic.c	2005-08-22 18:21:01.000000000 -0700
@@ -735,7 +735,7 @@ again:
 	spin_unlock_irqrestore(&iosapic_lock, flags);
 
 	/* If vector is running out, we try to find a sharable vector */
-	vector = assign_irq_vector_nopanic(AUTO_ASSIGN);
+	vector = assign_irq_vector(AUTO_ASSIGN);
 	if (vector < 0) {
 		vector = iosapic_find_sharable_vector(trigger, polarity);
   		if (vector < 0)
_
